Package: org.codehaus.groovy.tools.shell.util

## [Groovy] Class VisitorClassLoader

- org.codehaus.groovy.tools.shell.util.ScriptVariableAnalyzer.VisitorClassLoader

- class loader to add our phase operation

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GroovyClassVisitor` | `visitor`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ScriptVariableAnalyzer.VisitorClassLoader (GroovyClassVisitor visitor)` @deprecated will be removed in 2.5.0, use VisitorClassLoader(GroovyClassVisitor, ClassLoader)
    `ScriptVariableAnalyzer.VisitorClassLoader (GroovyClassVisitor visitor, ClassLoader parent)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected CompilationUnit` | `createCompilationUnit(CompilerConfiguration config, CodeSource source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class GroovyClassLoader`

    `addClasspath, getResourceLoader, generateScriptName, getLoadedClasses, setShouldRecompile, isShouldRecompile, setResourceLoader, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, loadClass, loadClass, loadClass, defineClass, defineClass, addURL, clearCache, newInstance, newInstance, findResource, getResourceAsStream, findResources, close, getURLs, getName, getPlatformClassLoader, getSystemClassLoader, getSystemResourceAsStream, getSystemResource, getResource, getResources, getDefinedPackage, resources, isRegisteredAsParallelCapable, getSystemResources, getParent, getUnnamedModule, getDefinedPackages, setDefaultAssertionStatus, setPackageAssertionStatus, setClassAssertionStatus, clearAssertionStatus, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

    `class URLClassLoader`

    `newInstance, newInstance, findResource, getResourceAsStream, findResources, close, getURLs, getName, loadClass, getPlatformClassLoader, getSystemClassLoader, getSystemResourceAsStream, getSystemResource, getResource, getResources, getDefinedPackage, resources, isRegisteredAsParallelCapable, getSystemResources, getParent, getUnnamedModule, getDefinedPackages, setDefaultAssertionStatus, setPackageAssertionStatus, setClassAssertionStatus, clearAssertionStatus, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### final GroovyClassVisitor visitor

  - ### Constructor Detail

    - #### @Deprecated ScriptVariableAnalyzer.VisitorClassLoader(GroovyClassVisitor visitor)

      deprecated:
        will be removed in 2.5.0, use VisitorClassLoader(GroovyClassVisitor, ClassLoader)

    - #### ScriptVariableAnalyzer.VisitorClassLoader(GroovyClassVisitor visitor, ClassLoader parent)

  - ### Method Detail

    - #### @Override protected CompilationUnit createCompilationUnit(CompilerConfiguration config, CodeSource source)